<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>Chapter&nbsp;1.&nbsp;Preamble</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.2  (Linux)">
	<META NAME="CREATED" CONTENT="20080725;15280900">
	<META NAME="CHANGEDBY" CONTENT="Vincent Mahe">
	<META NAME="CHANGED" CONTENT="20080725;15280900">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H2 { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Roman No9 L", serif }
		H1.cjk { font-family: "Nimbus Sans L" }
		H1.ctl { font-family: "Lucidasans" }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" BGCOLOR="#ffffff" DIR="LTR">
<H1 CLASS="western">Chapter&nbsp;1.&nbsp;Preamble</H1>
<H2>Prerequisite</H2>
<P>Before beginning with this basic demo of OpenembeDD, you have to
be familiar with the metamodels and Eclipse tools which manage and
drive them. We will not lay on the matter because there are many
documentation to understand how to drive the metamodels with
Topcased, ATL and Kermeta; we can give some links :</P>
<P><STRONG>EMF</STRONG> : it is the base of almost all metamodel
tools in Eclipse platform</P>
<UL TYPE=DISC>
	<LI><P><A HREF="http://www.eclipse.org/modeling/emf/?project=emf" TARGET="_top">http://www.eclipse.org/modeling/emf/?project=emf</A></P>
</UL>
<P>or you can get simple tutorials inside the online Eclipse help
(menu Help-&gt; Help Contents) at the entry <STRONG>&quot;EMF
Developer Guide&quot;</STRONG>,</P>
<P><STRONG>Topcased</STRONG> : it provides many tools and model
services like graphic editors</P>
<UL TYPE=DISC>
	<LI><P><A HREF="http://www.topcased.org/" TARGET="_top">http://www.topcased.org</A></P>
</UL>
<P>or you can get tutorials inside the online Eclipse help (menu
Help-&gt; Help Contents) at the entry <STRONG>&quot;Topcased
Developer Guide&quot;</STRONG> then &quot;Getting Started&quot;</P>
<P><STRONG>ATL</STRONG> : it provides a virtual machine which allows
you to make model transformations declarative between metamodels
conforms has MOF</P>
<UL TYPE=DISC>
	<LI><P><A HREF="http://www.eclipse.org/m2m/atl" TARGET="_top">http://www.eclipse.org/m2m/atl</A></P>
</UL>
<P>or you can get developer and user guides inside the online Eclipse
help (menu Help-&gt; Help Contents) at the entries <STRONG>&quot;ADT
Plug-in Developer Guide&quot;</STRONG> and <STRONG>&quot;ADT Plug-in
User Guide&quot;</STRONG></P>
<P><STRONG>Kermeta</STRONG> : it provides a kernel which allows you
to make transformations in an imperative way and to process also
simulation of model</P>
<UL TYPE=DISC>
	<LI><P><A HREF="http://www.kermeta.org/" TARGET="_top">http://www.kermeta.org</A></P>
</UL>
<P>or you can get many documentation and references inside the online
Eclipse help (menu Help-&gt; Help Contents) at the entry &quot;KerMeta
documentation&quot; and after the help splits on developer and user
documentation : <STRONG>&quot;User documentation&quot;</STRONG> ,
<STRONG>&quot;Developer documentation&quot;</STRONG></P>
<P>You may also have a look on the GEF documentation and GMF
documentation, which are modelling tools but more technical and
internal of the platform. Developper could need to refer on them.</P>
<P>During along the article, we will speak of metamodels and in
particular, we will describe them with the semantic of UML :
<A HREF="http://www.uml.org/">http://www.uml.org</A> ; moreover the
metamodel used as source of the demo is precisely the static part of
UML, so we advise you to have a look on that too, if you want
understand the whole process we are presenting.</P>
<P>We also use <STRONG>ecore</STRONG> format, which is a xml format
to manage metamodels. In the demo each metamodel is delivered in its
own ecore file.</P>
<P><STRONG>UML</STRONG> : Class diagram of UML2 is used for the model
in input, and you may find a lot of links which introduce this
diagram. Here is the link of official UML site :</P>
<UL TYPE=DISC>
	<LI><P><A HREF="http://www.uml.org/" TARGET="_top">http://www.uml.org</A></P>
</UL>
<P><STRONG>CWM</STRONG> : Common Wharehouse Metamodel is used as
output after the ATL transformation of the UML model. Here are some
links for CWM :</P>
<UL TYPE=DISC>
	<LI><P><A HREF="http://www.omg.org/technology/cwm" TARGET="_top">http://www.omg.org/technology/cwm</A></P>
	<LI><P><A HREF="http://www.cwmforum.org/" TARGET="_top">http://www.cwmforum.org</A></P>
</UL>
<H2>Required tools</H2>
<P>The <STRONG>&quot;OpenEmbeDD basic demo&quot;</STRONG> 
demonstration can be &quot;opened&quot; inside Eclipse Workbench
through the menu File-&gt;New-&gt;Example… where you must choose
the “OpenEmbeDD basic demo” item which unfold the demo project
into your current working area. In order to be able to do that, some
stuff must be installed into your Eclipse: Topcased UML editor, ATL
transformation language , Kermeta environment and OpenEmbeDD Basic
Demo feature (which include the complete CWM metamodel).</P>
<P>Method to install prerequisites and demo :</P>
<OL>
	<LI><P>Check if UML graphic editor of Topcased is installed in your
	OpenEmbeDD configuration: go on the menu <STRONG>File&nbsp;-&gt;&nbsp;New&nbsp;-&gt;&nbsp;Other</STRONG>
	then check if the folder &quot;Topcased/Topcased Diagrams&quot;
	exists and then if you can select <STRONG>&quot;UML Diagram&quot;</STRONG>
	inside. If not you have to install it by using the OpenEmbeDD site
	update (see below).</P>
	<LI><P>Check if the ATL tools are installed in your OpenEmbeDD
	configuration: go on the menu <STRONG>File&nbsp;-&gt;&nbsp;New&nbsp;-&gt;&nbsp;Project...</STRONG>
	then check if the folder &quot;ATL&quot; exists and then if you can
	select the two items <STRONG>&quot;ATL Project&quot;</STRONG> and
	<STRONG>&quot;ATL file&quot;</STRONG> inside. If not you have to
	install them by using the OpenEmbeDD site update (see below).</P>
	<LI><P>Check if the Kermeta workbench and tools are installed in
	your OpenEmbeDD configuration: go on the menu
	<STRONG>File&nbsp;-&gt;&nbsp;New&nbsp;-&gt;&nbsp;Project...</STRONG>
	then check if the folder &quot;Kermeta&quot; exists and then if you
	can select the two items <STRONG>&quot;New Kermeta file&quot;</STRONG>
	and <STRONG>&quot;New Kermeta Project&quot;</STRONG> inside. If not
	you have to install them by using the OpenEmbeDD site update (see
	below).</P>
	<LI><P>Check if the OpenEmbeDD basic demo is installed in your
	OpenEmbeDD configuration: go on the menu <STRONG>File&nbsp;-&gt;&nbsp;New&nbsp;-&gt;&nbsp;Example…</STRONG>
	that open the wizard and look if the folder &quot;<B>OpenEmbeDD
	demo</B>&quot;exists  with the &quot;<STRONG>OpenEmbeDD basic demo</STRONG>&quot;
	item inside. If not you have to install them by using the OpenEmbeDD
	site update (see below).<BR>If it exists, launch it by selecting the
	item. It installs the demonstration project named
	&quot;org.openembedd.basic.uml2cwm.demo&quot; directly in your
	workspace; then you can start to work with and pass to the first
	part of the demo</P>
</OL>
<H2>Installation of prerequisites and demo</H2>
<P>To install OpenEmbeDD features, you may use OpenEmbeDD Site
Update: go on the menu <B>Help</B><STRONG>&nbsp;-&gt;&nbsp;Software
updates&nbsp;-&gt;&nbsp;Find and install...</STRONG> then select
&quot;<B>Search for new features to install</B>&quot;.  Add a &quot;<B>New
remote site</B><SPAN STYLE="font-weight: medium">&quot; with
&quot;OpenEmbeDD&quot; name and &quot;<A HREF="http://openembedd.org/update">http://openembedd.org/update</A>&quot;
URL. Click on &quot;OK&quot; and then &quot;Finish&quot;.</SPAN></P>
<P>In &quot;<I>OpenEmbeDD</I>&quot;, go to &quot;<I>Samples,
Tutorials &amp; Use Cases</I>&quot; and select  &quot;<I>OpenEmbeDD
basic demo</I>&quot;. The Update Manager wizard should like as below:</P>
<P ALIGN=CENTER><IMG SRC="../img/UpdateBasicDemo1.png" NAME="graphics1" ALIGN=LEFT WIDTH=568 HEIGHT=609 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm">If the install wizard
complains about some features it requires, just click on the &quot;Select
Required&quot; button on the right and the requirements will be
solved:</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0cm"><IMG SRC="../img/UpdateBasicDemo2.png" NAME="graphics43" ALIGN=LEFT WIDTH=568 HEIGHT=609 BORDER=0><BR CLEAR=LEFT><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm">Once the plugin demo is in
your environment, you can restart Eclipse and select the menu
<B>File-&gt;New-&gt;Example…</B> then open the folder &quot;<B>OpenEmbeDD
demo</B>&quot; and select the item &quot;<B>OpenEmbeDD basic demo</B>&quot;
and finally click on Finish. The demo is an Eclipse project named
&quot;org.openembedd.basic.uml2cwm.demo&quot; which has been unfolded
in your workspace:</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm"><IMG SRC="../img/project_demo_installed.png" NAME="graphics2" ALIGN=LEFT WIDTH=283 HEIGHT=453 BORDER=0><BR CLEAR=LEFT><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm">So you can now have a look
on it and pass to the first step of the Demo (use of Topcased UML2
editor).</P>
</BODY>
</HTML>